#!/bin/bash

echo "start zcomlog..."
insmod zcommisc.o

echo "loading csr & ethernet drivers..."
insmod csr.o
insmod ixp425_eth.o

echo "Mounting ramd for firmware upgrade...."
mount -n -t ramfs none /mnt/ramd -o maxsize=6000

# enable it for loopback messages
ifconfig lo   127.0.0.1    netmask 255.0.0.0

#wait for ixp425_eth.o ready
insmod igateway.o
sleep 2

ddns
dnsrd
dhcpc
sntpc
autocelld -d3
sleep 1
wag302server
sleep 4
httpd &
dhcpd
wan
wins
vsftpd
sleep 2
wag302cli
