#ifndef __IDT_TYPES_H__
#define __IDT_TYPES_H__

/*******************************************************************************
 *
 * Copyright 2002 Integrated Device Technology, Inc.
 *		All rights reserved.
 *
 * Common typedefs used in IDT-generated code.
 *
 * File   : $Id: types.h,v 1.1 2004/07/07 02:50:10 demgr LOCAL $
 *
 * Author : Allen.Stichter@idt.com
 * Date   : 20020606
 * Update :
 *	    $Log: types.h,v $
 *	    Revision 1.1  2004/07/07 02:50:10  demgr
 *	    Initial revision
 *
 *	    Revision 1.1  2003/12/23 04:43:42  mjpeng
 *	    Initial revision
 *
 *	    Revision 1.1.2.1  2003/02/15 00:06:01  stevel
 *	    New IDT board support: 79EB438 and 79RP355. Also support for
 *	    boot from PROM on 79S334A, 79EB355, 79RP355, and 79EB438.
 *	
 *	    Revision 1.1  2002/06/06 16:16:56  astichte
 *	    Added
 *	
 *
 ******************************************************************************/

typedef unsigned char		U8 ;
typedef signed char		S8 ;

typedef unsigned short		U16 ;
typedef signed short		S16 ;

typedef unsigned int		U32 ;
typedef signed int		S32 ;

typedef unsigned long long	U64 ;
typedef signed long long	S64 ;

#ifndef __cplusplus
	typedef U32		bool ;	// (false == 0), (true is != false)
#endif	// __cplusplus

#endif	// __IDT_TYPES_H__
